Package com.ads.api.beans.kv

# Enum Class KeyValue.UIType

java.lang.Object
java.lang.Enum<KeyValue.UIType>
com.ads.api.beans.kv.KeyValue.UIType

All Implemented Interfaces:
  `Serializable`, `Comparable<KeyValue.UIType>`, `Constable`

Enclosing class:
  KeyValue

public static enum KeyValue.UIType extends Enum<KeyValue.UIType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BOOLEAN`
  `CHECKBOX`
  `COLORPICKER`
  `COMBOBOX`
  `COMBOVALUES`
  `DATEPICKER`
  `LABEL`
  `LIST`
  `NUMBER`
  `RADIO`
  `RICHEDITOR`
  `TEXTAREA`
  `TEXTBOX`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static KeyValue.UIType`
  `getType(String value)`
  `String`
  `toString()`
  `static KeyValue.UIType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static KeyValue.UIType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LABEL

    public static final KeyValue.UIType LABEL

  - ### TEXTBOX

    public static final KeyValue.UIType TEXTBOX

  - ### TEXTAREA

    public static final KeyValue.UIType TEXTAREA

  - ### NUMBER

    public static final KeyValue.UIType NUMBER

  - ### BOOLEAN

    public static final KeyValue.UIType BOOLEAN

  - ### CHECKBOX

    public static final KeyValue.UIType CHECKBOX

  - ### DATEPICKER

    public static final KeyValue.UIType DATEPICKER

  - ### COLORPICKER

    public static final KeyValue.UIType COLORPICKER

  - ### RADIO

    public static final KeyValue.UIType RADIO

  - ### LIST

    public static final KeyValue.UIType LIST

  - ### COMBOBOX

    public static final KeyValue.UIType COMBOBOX

  - ### COMBOVALUES

    public static final KeyValue.UIType COMBOVALUES

  - ### RICHEDITOR

    public static final KeyValue.UIType RICHEDITOR

- ## Method Details

  - ### values

    public static KeyValue.UIType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static KeyValue.UIType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<KeyValue.UIType>`

  - ### getType

    public static KeyValue.UIType getType(String value)